<?php
 
namespace IPS\applicationform;

/**
 * Application Form Application Class
 */
class _Application extends \IPS\Application
{
	protected $fostersData = [
		'ips.file' => 'https://invisioncommunity.com/files/file/8394-application-forms/',
		'ips.topic' => 'https://invisionpower.com/forums/topic/434014-application-forms-supporttopic/'
	];

	static $minIpsVersion = 104029;		//4.4.4

	public function get__icon()
	{
		return 'id-card';
	}

	public static function fireEvent( $event, &...$args )
	{
		/* Rules Part */
		if ( \IPS\Application::appIsEnabled( 'rules' ) )
		{
			switch ( $event )
			{
				case 'applicationform.application.approved':
					\IPS\rules\Event::load( 'applicationform', 'Application', 'submission_approved' )->trigger( $args[0] );
				break;
				case 'applicationform.application.denied':
					\IPS\rules\Event::load( 'applicationform', 'Application', 'submission_denied' )->trigger( $args[0] );
				break;
			}
		}

		if ( \IPS\Application::appIsEnabled( 'codeevents' ) )
		{
			$dispatcher = \IPS\codeevents\Event\Dispatcher::i()->getDispatcher();
			$eventC = new \Symfony\Component\EventDispatcher\GenericEvent( $args['0'] );        // ARGS0 => application submission;
			$dispatcher->dispatch( $event, $eventC);
		}
	}
}